package com.ruoyi.system.domain.grid;

import java.io.Serializable;

public class GridPeople implements Serializable {
    private String id;

    /**
     * 头像
     *
     * @mbg.generated
     */
    private String avatar;

    /**
     * 姓名
     *
     * @mbg.generated
     */
    private String personName;

    /**
     * 身份证号码
     *
     * @mbg.generated
     */
    private String idCard;

    /**
     * 男/女
     *
     * @mbg.generated
     */
    private String sex;

    /**
     * 籍贯
     *
     * @mbg.generated
     */
    private String nativePlace;

    /**
     * 出生日期
     *
     * @mbg.generated
     */
    private String birthday;

    /**
     * 户籍地址
     *
     * @mbg.generated
     */
    private String registeredAddress;

    /**
     * 民族code
     *
     * @mbg.generated
     */
    private String mzCode;

    /**
     * 婚姻状况code
     *
     * @mbg.generated
     */
    private String hyzkCode;

    /**
     * 文化程度code
     *
     * @mbg.generated
     */
    private String whcdCode;

    /**
     * 政治面貌code
     *
     * @mbg.generated
     */
    private String zzmmCode;

    /**
     * 所属村社区code
     *
     * @mbg.generated
     */
    private String wgCode;

    /**
     * 手机号码
     *
     * @mbg.generated
     */
    private String phone;

    /**
     * 实际居住地址
     *
     * @mbg.generated
     */
    private String address;

    /**
     * 人口类型code
     *
     * @mbg.generated
     */
    private String rklxCode;

    /**
     * 人口标签code
     *
     * @mbg.generated
     */
    private String rkbqCode;

    private String openId;

    private String createTime;

    private String updateTime;

    private String createId;

    private String updateId;

    /**
     * 0-无效，1-有效
     *
     * @mbg.generated
     */
    private Byte isValid;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getNativePlace() {
        return nativePlace;
    }

    public void setNativePlace(String nativePlace) {
        this.nativePlace = nativePlace;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress;
    }

    public String getMzCode() {
        return mzCode;
    }

    public void setMzCode(String mzCode) {
        this.mzCode = mzCode;
    }

    public String getHyzkCode() {
        return hyzkCode;
    }

    public void setHyzkCode(String hyzkCode) {
        this.hyzkCode = hyzkCode;
    }

    public String getWhcdCode() {
        return whcdCode;
    }

    public void setWhcdCode(String whcdCode) {
        this.whcdCode = whcdCode;
    }

    public String getZzmmCode() {
        return zzmmCode;
    }

    public void setZzmmCode(String zzmmCode) {
        this.zzmmCode = zzmmCode;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getRklxCode() {
        return rklxCode;
    }

    public void setRklxCode(String rklxCode) {
        this.rklxCode = rklxCode;
    }

    public String getRkbqCode() {
        return rkbqCode;
    }

    public void setRkbqCode(String rkbqCode) {
        this.rkbqCode = rkbqCode;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public String getUpdateId() {
        return updateId;
    }

    public void setUpdateId(String updateId) {
        this.updateId = updateId;
    }

    public Byte getIsValid() {
        return isValid;
    }

    public void setIsValid(Byte isValid) {
        this.isValid = isValid;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", avatar=").append(avatar);
        sb.append(", personName=").append(personName);
        sb.append(", idCard=").append(idCard);
        sb.append(", sex=").append(sex);
        sb.append(", nativePlace=").append(nativePlace);
        sb.append(", birthday=").append(birthday);
        sb.append(", registeredAddress=").append(registeredAddress);
        sb.append(", mzCode=").append(mzCode);
        sb.append(", hyzkCode=").append(hyzkCode);
        sb.append(", whcdCode=").append(whcdCode);
        sb.append(", zzmmCode=").append(zzmmCode);
        sb.append(", wgCode=").append(wgCode);
        sb.append(", phone=").append(phone);
        sb.append(", address=").append(address);
        sb.append(", rklxCode=").append(rklxCode);
        sb.append(", rkbqCode=").append(rkbqCode);
        sb.append(", openId=").append(openId);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", createId=").append(createId);
        sb.append(", updateId=").append(updateId);
        sb.append(", isValid=").append(isValid);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridPeople other = (GridPeople) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getAvatar() == null ? other.getAvatar() == null : this.getAvatar().equals(other.getAvatar()))
            && (this.getPersonName() == null ? other.getPersonName() == null : this.getPersonName().equals(other.getPersonName()))
            && (this.getIdCard() == null ? other.getIdCard() == null : this.getIdCard().equals(other.getIdCard()))
            && (this.getSex() == null ? other.getSex() == null : this.getSex().equals(other.getSex()))
            && (this.getNativePlace() == null ? other.getNativePlace() == null : this.getNativePlace().equals(other.getNativePlace()))
            && (this.getBirthday() == null ? other.getBirthday() == null : this.getBirthday().equals(other.getBirthday()))
            && (this.getRegisteredAddress() == null ? other.getRegisteredAddress() == null : this.getRegisteredAddress().equals(other.getRegisteredAddress()))
            && (this.getMzCode() == null ? other.getMzCode() == null : this.getMzCode().equals(other.getMzCode()))
            && (this.getHyzkCode() == null ? other.getHyzkCode() == null : this.getHyzkCode().equals(other.getHyzkCode()))
            && (this.getWhcdCode() == null ? other.getWhcdCode() == null : this.getWhcdCode().equals(other.getWhcdCode()))
            && (this.getZzmmCode() == null ? other.getZzmmCode() == null : this.getZzmmCode().equals(other.getZzmmCode()))
            && (this.getWgCode() == null ? other.getWgCode() == null : this.getWgCode().equals(other.getWgCode()))
            && (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
            && (this.getRklxCode() == null ? other.getRklxCode() == null : this.getRklxCode().equals(other.getRklxCode()))
            && (this.getRkbqCode() == null ? other.getRkbqCode() == null : this.getRkbqCode().equals(other.getRkbqCode()))
            && (this.getOpenId() == null ? other.getOpenId() == null : this.getOpenId().equals(other.getOpenId()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getCreateId() == null ? other.getCreateId() == null : this.getCreateId().equals(other.getCreateId()))
            && (this.getUpdateId() == null ? other.getUpdateId() == null : this.getUpdateId().equals(other.getUpdateId()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getAvatar() == null) ? 0 : getAvatar().hashCode());
        result = prime * result + ((getPersonName() == null) ? 0 : getPersonName().hashCode());
        result = prime * result + ((getIdCard() == null) ? 0 : getIdCard().hashCode());
        result = prime * result + ((getSex() == null) ? 0 : getSex().hashCode());
        result = prime * result + ((getNativePlace() == null) ? 0 : getNativePlace().hashCode());
        result = prime * result + ((getBirthday() == null) ? 0 : getBirthday().hashCode());
        result = prime * result + ((getRegisteredAddress() == null) ? 0 : getRegisteredAddress().hashCode());
        result = prime * result + ((getMzCode() == null) ? 0 : getMzCode().hashCode());
        result = prime * result + ((getHyzkCode() == null) ? 0 : getHyzkCode().hashCode());
        result = prime * result + ((getWhcdCode() == null) ? 0 : getWhcdCode().hashCode());
        result = prime * result + ((getZzmmCode() == null) ? 0 : getZzmmCode().hashCode());
        result = prime * result + ((getWgCode() == null) ? 0 : getWgCode().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getRklxCode() == null) ? 0 : getRklxCode().hashCode());
        result = prime * result + ((getRkbqCode() == null) ? 0 : getRkbqCode().hashCode());
        result = prime * result + ((getOpenId() == null) ? 0 : getOpenId().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getCreateId() == null) ? 0 : getCreateId().hashCode());
        result = prime * result + ((getUpdateId() == null) ? 0 : getUpdateId().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        return result;
    }
}
